> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all messaging services



## OpenAPI

````yaml get /agency/twilio/messaging-services
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /agency/twilio/messaging-services:
    get:
      tags:
        - Twilio
      summary: Get all messaging services
      operationId: TwilioController_getMessagingServices
      parameters: []
      responses:
        '200':
          description: Returns list of messaging services
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    sid:
                      type: string
                      description: Messaging service SID
                    account_sid:
                      type: string
                      description: Account SID
                    friendly_name:
                      type: string
                      description: Friendly name
                    inbound_request_url:
                      type: string
                      description: Inbound request URL
                    inbound_method:
                      type: string
                      description: Inbound method
                    fallback_url:
                      type: string
                      description: Fallback URL
                    fallback_method:
                      type: string
                      description: Fallback method
                    status_callback:
                      type: string
                      description: Status callback URL
                    sticky_sender:
                      type: boolean
                      description: Sticky sender
                    smart_encoding:
                      type: boolean
                      description: Smart encoding
                    scan_message_content:
                      type: string
                      description: Scan message content
                    area_code_geomatch:
                      type: boolean
                      description: Area code geomatch
                    validity_period:
                      type: number
                      description: Validity period
                    synchronous_validation:
                      type: boolean
                      description: Synchronous validation
                    date_created:
                      type: string
                      description: Creation date
                    date_updated:
                      type: string
                      description: Last update date
                    url:
                      type: string
                      description: Resource URL
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````